export declare const get30DayDateRanges: () => any[];
export declare function groupAndSumByMonth(data: any): unknown[];
export declare function getMonthsInLocale(data: any): string[];
export declare function getPreviousMonthsArray(monthCount: number): string[];
type TopTenEvent = {
    total: number;
    week: string;
};
export declare const convertDataForInterval: (data: TopTenEvent[], intervals: number) => {
    week: string;
    total: number;
}[];
export declare function splitIntoWeeks(data: any[]): {
    total: number;
    week: string;
}[];
export {};
